Subject: Re: [PATCH 1/1] run-command.c: ignore bad permissions on dirs in PATH

From: Dale Rowley <[email-masked]>
Date: Tue, 25 May 2010 20:36:51 -0600

> That is, when you write a new git command and forget to set execute
> permission, you lose the "Permission denied" error. (Ditto if you
> accidentally remove execute permission from an existing external git command.)

True, but after getting the warning that 'git-frob' doesn't exist, it
would probably only take a minute to figure out that 'git-frob'
permissions need to be fixed, and then it's understandable why git
choked on it. In contrast, it took me a while to discover my PATH
permissions problem, and even then it wasn't clear why git should die
because of a permissions problem on a directory that had little to do
with git.

Dale